package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-08-08
 */
@ApiModel("曲目下架原因")
public class ReasonDto {

    @ApiModelProperty("曲目下架原因")
    private String  reason;

    @ApiModelProperty("曲目id集合 逗号隔开")
    private String musicSheetIds;

    @ApiModelProperty("启用： 1 ，停用 ： 0")
    private YesOrNoEnum state;

    public YesOrNoEnum getState() {
        return state;
    }

    public void setState(YesOrNoEnum state) {
        this.state = state;
    }

    public String getMusicSheetIds() {
        return musicSheetIds;
    }

    public void setMusicSheetIds(String musicSheetIds) {
        this.musicSheetIds = musicSheetIds;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }
}
